Skip to main content
GET
/
api
/
{projectId}
/
performance-calibration
/
parameters
Get parameters
curl --request GET \
  --url https://studio.edgeimpulse.com/v1/api/{projectId}/performance-calibration/parameters \
  --header 'x-api-key: <api-key>'
import requests

url = "https://studio.edgeimpulse.com/v1/api/{projectId}/performance-calibration/parameters"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://studio.edgeimpulse.com/v1/api/{projectId}/performance-calibration/parameters', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "success": true,
  "error": "<string>",
  "params": {
    "type": "standard",
    "version": 1,
    "parametersStandard": {
      "averageWindowDurationMs": 1000,
      "detectionThreshold": 0.8,
      "suppressionMs": 500
    }
  }
}

Authorizations

x-api-key
string
header
required

Path Parameters

projectId
integer
required

Project ID

Query Parameters

impulseId
integer

Impulse ID. If this is unset then the default impulse is used.

Response

200 - application/json

OK

success
boolean
required

Whether the operation succeeded

error
string

Optional error description (set if 'success' was false)

params
object